- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# campfire – Send a message to Campfire

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Send a message to Campfire.

- Messages with newlines will result in a “Paste” message being sent.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
msg - / required |  | The message body.
notify - | Choices: 56k bell bezos bueller clowntown cottoneyejoe crickets dadgummit dangerzone danielsan deeper drama greatjob greyjoy guarantee heygirl horn horror inconceivable live loggins makeitso noooo nyan ohmy ohyeah pushit rimshot rollout rumble sax secret sexyback story tada tmyk trololo trombone unix vuvuzela what whoomp yeah yodel | Send a notification sound before the message.
room - / required |  | Room number to which the message should be sent.
subscription - / required |  | The subscription name to use.
token - / required |  | API token.

## Examples

    - campfire:
        subscription: foo
        token: 12345
        room: 123
        msg: Task completed.

    - campfire:
        subscription: foo
        token: 12345
        room: 123
        notify: loggins
        msg: Task completed ... with feeling.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Garside (@fabulops)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.